com.taosdata.jdbc.utils

## Class OSUtils

- java.lang.Object
- - com.taosdata.jdbc.utils.OSUtils

    public class OSUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OSUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isLinux()`
`static boolean` `isMac()`
`static boolean` `isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSUtils

    public OSUtils()

### Method Detail

#### isWindows

    public static boolean isWindows()

#### isMac

    public static boolean isMac()

#### isLinux

    public static boolean isLinux()